# -*- coding: utf-8 -*-

from django.conf.urls import url

from . import views

urlpatterns = [
    url(
        r'^category/$',
        views.CategoryList.as_view(),
        name='category_list'
    ),
    url(
        r'^category/(?P<pk>\w+)/retrieve/$',
        views.CategoryRetrieve.as_view(),
        name='category_retrieve'
    ),
    url(
        r'^category/create/$',
        views.CategoryCreate.as_view(),
        name='category_create'
    ),
    url(
        r'^category/(?P<pk>\w+)/update/$',
        views.CategoryUpdate.as_view(),
        name='category_update'
    ),
    url(
        r'^unit_type/$',
        views.UnitTypeList.as_view(),
        name='unit_type_list'
    ),
    url(
        r'^unit_type/(?P<pk>\w+)/retrieve/$',
        views.UnitTypeRetrieve.as_view(),
        name='unit_type_retrieve'
    ),
    url(
        r'^unit_type/create/$',
        views.UnitTypeCreate.as_view(),
        name='unit_type_create'
    ),
    url(
        r'^unit_type/(?P<pk>\w+)/update/$',
        views.UnitTypeUpdate.as_view(),
        name='unit_type_update'
    ),
    url(
        r'^product/$',
        views.ProductList.as_view(),
        name='product_list'
    ),
    url(
        r'^product/(?P<pk>\w+)/retrieve/$',
        views.ProductRetrieve.as_view(),
        name='product_retrieve'
    ),
    url(
        r'^product/create/$',
        views.ProductCreate.as_view(),
        name='product_create'
    ),
    url(
        r'^product/(?P<pk>\w+)/update/$',
        views.ProductUpdate.as_view(),
        name='product_update'
    ),
    url(
        r'^media/$',
        views.MediaList.as_view(),
        name='media_list'
    ),
    url(
        r'^media/(?P<slug>[a-zA-Z0-9-_]+)/retrieve/$',
        views.MediaRetrieve.as_view(),
        name='media_retrieve'
    ),
    url(
        r'^media/create/$',
        views.MediaCreate.as_view(),
        name='media_create'
    ),
    url(
        r'^media/(?P<slug>[a-zA-Z0-9-_]+)/update/$',
        views.MediaUpdate.as_view(),
        name='media_update'
    ),
]
