# -*- coding: utf-8 -*-

from django.utils.translation import ugettext_lazy as _

import admin_tools
from admin_tools.dashboard import modules, AppIndexDashboard

from jmb.core.admin import dashboard as jmb_dashboard


class DefaultDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _('product'),
            'display': "tabs",
            'children': [Models()]
        })
        super(DefaultDashboard, self).__init__(**kwargs)


class PriceDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _('product'),
            'display': "tabs",
            'children': [Models()]
        })
        super(PriceDashboard, self).__init__(**kwargs)


class Models(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _('main models'),
            'models': (
                'thux.product.models.Product',
                'thux.product.models.ProductCategory',
                'thux.product.models.UnitType',
                'thux.product.models.Media',
            ),
        })
        super(Models, self).__init__(**kwargs)


class DefaultAppDashboard(AppIndexDashboard):
    def __init__(self, app_title, models, **kwargs):
        AppIndexDashboard.__init__(self, app_title, models, **kwargs)
        self.columns = 3

    def init_with_context(self, context):
        self.children.append(DefaultDashboard(), )


jmb_dashboard.register_group(PriceDashboard, 'thux.product')
admin_tools.dashboard.register(DefaultAppDashboard, 'thux.product')
