# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('product', '0007_auto_20161229_1830'),
    ]

    operations = [
        migrations.CreateModel(
            name='ProductColor',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code_rgb', models.CharField(max_length=6, verbose_name='code RGB')),
                ('name', models.CharField(max_length=255, verbose_name='name')),
                ('creator', models.ForeignKey(related_name='product_productcolor_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='product_productcolor_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('product', models.ForeignKey(related_name='colors', verbose_name='product', to='product.Product')),
            ],
            options={
                'ordering': ('ordering', 'product__name', 'id'),
                'verbose_name': 'color',
                'verbose_name_plural': 'colors',
                'permissions': (('list_productcolor', 'Can list product color'), ('detail_media', 'Can detail product color')),
            },
        ),
    ]
