# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('product', '0008_productcolor'),
    ]

    operations = [
        migrations.CreateModel(
            name='ProductProductSizeJoin',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('creator', models.ForeignKey(related_name='product_productproductsizejoin_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='product_productproductsizejoin_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'verbose_name': 'product - product size join',
                'verbose_name_plural': 'product - product size join',
                'permissions': (('list_productproductsizejoin', 'Can list product - product size join'), ('detail_productproductsizejoin', 'Can detail product - product size join')),
            },
        ),
        migrations.CreateModel(
            name='ProductSeason',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('is_spring', models.BooleanField(default=False, verbose_name='spring')),
                ('is_summer', models.BooleanField(default=False, verbose_name='summer')),
                ('is_autumn', models.BooleanField(default=False, verbose_name='autumn')),
                ('is_winter', models.BooleanField(default=False, verbose_name='winter')),
                ('creator', models.ForeignKey(related_name='product_productseason_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='product_productseason_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'ordering': ('ordering', 'product__name'),
                'verbose_name': 'season',
                'verbose_name_plural': 'seasons',
                'permissions': (('list_productseason', 'Can list product season'), ('detail_productseason', 'Can detail product season')),
            },
        ),
        migrations.CreateModel(
            name='ProductSize',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(unique=True, max_length=6, verbose_name='code')),
                ('name', models.CharField(unique=True, max_length=255, verbose_name='name')),
                ('slug', models.SlugField(unique=True, max_length=255, verbose_name='slug')),
                ('creator', models.ForeignKey(related_name='product_productsize_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='product_productsize_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'ordering': ('ordering', 'name'),
                'verbose_name': 'size',
                'verbose_name_plural': 'sizes',
                'permissions': (('list_productsize', 'Can list product size'), ('detail_productsize', 'Can detail product size')),
            },
        ),
        migrations.AlterModelOptions(
            name='productcolor',
            options={'ordering': ('ordering', 'product__name', 'id'), 'verbose_name': 'color', 'verbose_name_plural': 'colors', 'permissions': (('list_productcolor', 'Can list product color'), ('detail_productcolor', 'Can detail product color'))},
        ),
        migrations.AddField(
            model_name='product',
            name='production_year',
            field=models.PositiveSmallIntegerField(db_index=True, null=True, verbose_name='production year', blank=True),
        ),
        migrations.AlterUniqueTogether(
            name='productcolor',
            unique_together=set([('name', 'product')]),
        ),
        migrations.AddField(
            model_name='productseason',
            name='product',
            field=models.ForeignKey(related_name='seasons', to='product.Product'),
        ),
        migrations.AddField(
            model_name='productproductsizejoin',
            name='product',
            field=models.ForeignKey(related_name='product_size_joins', to='product.Product'),
        ),
        migrations.AddField(
            model_name='productproductsizejoin',
            name='product_size',
            field=models.ForeignKey(related_name='product_joins', to='product.ProductSize'),
        ),
    ]
